tag_checker:
  stage: build
  script:
  - python tag_checker.py $CI_COMMIT_TAG
  only:
  - tags

junit:
  stage: test
  script:
  - mvn -B clean test

recent-artifacts:
  stage: deploy
  script:
  - mvn -B clean install
  - mvn -B site package
  artifacts:
    paths:
    - client/target/*.jar
    - server/target/*.jar
    expire_in: 1 week
  except:
  - tags

release-artifacts:
  stage: deploy
  script:
  - mvn -B clean install
  - mvn -B site package
  artifacts:
    paths:
    - server/target/*.jar
    - client/target/*.jar
    - target/site/jacoco/*
  only:
  - tags

server-deployment:
  stage: deploy
  script:
  - mvn clean install -DskipTests
  - mvn package -DskipTests
  # Command below will attempt to stop and delete the docker container
  # If it doesn't exist it will show up in the logs as an error but the script will continue
  - docker stop server_container || true && docker rm server_container || true
  - docker build -t odms_server .
  - docker run -d --rm --name server_container -p 8080:8080 -v /etc/timezone:/etc/timezone odms_server
  only:
  - master@seng302-2018/team-400


